# $Revision: 1.188 $, $Date: 2007/10/10 17:13:09 $
#
# TODO:
#   - bluezsco doesn't build for alsa >= 1.0.14
#
# Conditional build:
%bcond_without	dist_kernel	# without kernel from distribution
%bcond_without	pcmcia		# without PCMCIA support (note: PCMCIA won't build
#				# if PCMCIA is not enabled in <linux/autoconf.h>)
%bcond_without	smp		# don't build smp package
%bcond_without	kernel		# build only user-space headers, not kernel modules
%bcond_with	userspace	# build user-space headers (for Ac use llh)
# cards				coma separated list of cards (default: all)
#
%ifarch ppc
# vxpocket depends on CONFIG_ISA, which is not set on ppc
%undefine	with_pcmcia
%endif
#
%if %{with dist_kernel}
%define		_kernelsrcdir	/usr/src/linux-2.4
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) - drivers
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - sterowniki
Name:		alsa-driver
Version:	1.0.14
%define	_rel	2
Release:	%{_rel}
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.alsa-project.org/pub/driver/%{name}-%{version}.tar.bz2
# Source0-md5:	78232c1c38db6a1f4e1d304e2cc1f660
Patch0:		%{name}-make.patch
Patch1:		%{name}-alpha.patch
Patch2:		%{name}-processor.patch
# based on patch from http://www.dcs.gla.ac.uk/~jp/snd-bluez-sco/, updated
# (note: better 2.6.x version is at http://www.dcs.gla.ac.uk/~jp/snd-bt-sco/)
Patch3:		%{name}-bluezsco.patch
Patch4:		%{name}-hpimod.patch
Patch5:		%{name}-noebus.patch
Patch6:		%{name}-gcc4.patch
Patch7:		%{name}-pm-fix.patch
URL:		http://www.alsa-project.org/
%if %{with dist_kernel} && %{with kernel}
BuildRequires:	kernel24-headers >= 2.4
BuildRequires:	kernel24-headers < 2.5
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	mawk
BuildRequires:	modutils
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
BuildConflicts:	alsa-lib <= 0.4.0
ExcludeArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch sparc sparc64
%undefine	with_pcmcia
%endif

# no OSS on sparc(32) in Linux up to 2.4 (only sparc64 or Linux 2.5+)
%ifarch sparc
%define		ossemul		no
%else
%define		ossemul		yes
%endif

%ifarch sparc64
%define		addflags	-Wa,--undeclared-regs
%else
%define		addflags	%{nil}
%endif

# CFLAGS changed during build
%undefine	configure_cache

%description
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features.

%description -l pl.UTF-8
Sterownik kart dźwiękowych Advanced Linux Sound Architecture.
Sterownik ten jest w pełni kompatybilny z OSS/Lite ale zawiera
znacznie więcej ulepszeń.

%package -n kernel24-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - Drivers
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Sterowniki
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod

%description -n kernel24-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features.
%{?cards:This package contains drivers for cards: %{cards}}

%description -n kernel24-sound-alsa -l pl.UTF-8
Sterownik kart dźwiękowych Advanced Linux Sound Architecture.
Sterownik ten jest w pełni kompatybilny z OSS/Lite ale zawiera
znacznie więcej ulepszeń.
%{?cards:Ten pakiet zawiera sterowniki dla kart: %{cards}}

%package -n kernel24-smp-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - SMP Drivers
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Sterowniki SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel24-smp-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features.
%{?cards:This package contains drivers for cards: %{cards}}

%description -n kernel24-smp-sound-alsa -l pl.UTF-8
Sterownik kart dźwiękowych Advanced Linux Sound Architecture.
Sterownik ten jest w pełni kompatybilny z OSS/Lite ale zawiera
znacznie więcej ulepszeń.
%{?cards:Ten pakiet zawiera sterowniki dla kart: %{cards}}

%package -n kernel24-sound-alsa-pcmcia
Summary:	Advanced Linux Sound Architecture (ALSA) - PCMCIA Drivers
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Sterowniki PCMCIA
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Requires:	kernel24-sound-alsa = %{version}-%{_rel}@%{_kernel_ver_str}

%description -n kernel24-sound-alsa-pcmcia
Additional PCMCIA sound cards drivers for ALSA.

%description -n kernel24-sound-alsa-pcmcia -l pl.UTF-8
Dodatkowe sterowniki kart dźwiękowych PCMCIA dla ALSA.

%package -n kernel24-smp-sound-alsa-pcmcia
Summary:	Advanced Linux Sound Architecture (ALSA) - SMP PCMCIA Drivers
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Sterowniki SMP PCMCIA
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Requires:	kernel24-smp-sound-alsa = %{version}-%{_rel}@%{_kernel_ver_str}

%description -n kernel24-smp-sound-alsa-pcmcia
Additional SMP PCMCIA sound cards drivers for ALSA.

%description -n kernel24-smp-sound-alsa-pcmcia -l pl.UTF-8
Dodatkowe sterowniki SMP dla kart dźwiękowych PCMCIA dla ALSA.

%package devel
Summary:	Advanced Linux Sound Architecture (ALSA) - header files
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - pliki nagłówkowe
Group:		Development/Libraries

%description devel
Advanced Linux Sound Architecture (ALSA) - header files.

%description devel -l pl.UTF-8
Advanced Linux Sound Architecture (ALSA) - pliki nagłówkowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

sed -i -e 's/-D__SMP__/-D__KERNEL_SMP/' configure.in

# snd_powermac in 1.0.9* doesn't support Linux < 2.6 - disable
sed -i -e 's/CONFIG_SND_POWERMAC="m"/CONFIG_SND_POWERMAC=""/' acinclude.m4
# aoa soundbus doesn't build anymore
sed -i -e 's/CONFIG_SND_AOA_SOUNDBUS="m"/CONFIG_SND_AOA_SOUNDBUS=""/' acinclude.m4
sed -i -e 's/CONFIG_SND_AOA_SOUNDBUS_I2S="m"/CONFIG_SND_AOA_SOUNDBUS_I2S=""/' acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%if %{with kernel} && %{with smp}
%configure \
	CFLAGS="%{rpmcflags} %{addflags} -D__KERNEL_SMP" \
	--with-build=%{_kernelsrcdir} \
	--with-cards=%{!?cards:all}%{?cards} \
	--with-debug=%{?debug:detect}%{!?debug:none} \
	--with-isapnp=no \
	--with-kernel=%{_kernelsrcdir} \
	--with-moddir=/lib/modules/%{_kernel_ver}smp/misc \
	--with-oss=%{ossemul} \
	--with-processor=%{_target_cpu} \
	--with-sequencer=yes

%{__make}
%{__make} install-modules \
	moddir=$(pwd)/smp_modules
%{__make} mrproper
%endif

%configure \
	CFLAGS="%{rpmcflags} %{addflags}" \
	--with-build=%{_kernelsrcdir} \
	--with-cards=%{!?cards:all}%{?cards} \
	--with-debug=%{?debug:detect}%{!?debug:none} \
	--with-kernel=%{_kernelsrcdir} \
	--with-moddir=/lib/modules/%{_kernel_ver}/misc \
	--with-oss=%{ossemul} \
	--with-processor=%{_target_cpu} \
	--with-sequencer=yes

%if %{with kernel}
%{__make}
%else
%{__make} include/sound/version.h
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%if %{with userspace}
%{__make} install-headers \
	prefix=$RPM_BUILD_ROOT%{_prefix}
%endif

%if %{with kernel}
%{__make} install-modules \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	moddir=$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%if %{with smp}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
cp -a smp_modules/* $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
%endif

# don't include pcmcia modules if building without pcmcia even when it's possible
%{!?with_pcmcia:rm -f $RPM_BUILD_ROOT/lib/modules/*/misc/snd-vxpocket.o}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel24-sound-alsa
%depmod %{_kernel_ver}
if modprobe -c | grep -s -q snd_; then \
	echo;\
	echo "             ===== WARNING =====";\
	echo;\
	echo "The options for ALSA modules on your system still include snd_ prefix,";\
	echo "which is obsoleted now. Please fix /etc/modules.conf.";\
	echo "For convenience, you can use utils/module-options script to convert";\
	echo "the snd_ prefix automatically.";\
	echo;\
fi;

%postun -n kernel24-sound-alsa
%depmod %{_kernel_ver}

%post -n kernel24-smp-sound-alsa
%depmod %{_kernel_ver}smp
if modprobe -c | grep -s -q snd_; then \
	echo;\
	echo "             ===== WARNING =====";\
	echo;\
	echo "The options for ALSA modules on your system still include snd_ prefix,";\
	echo "which is obsoleted now. Please fix /etc/modules.conf.";\
	echo "For convenience, you can use utils/module-options script to convert";\
	echo "the snd_ prefix automatically.";\
	echo;\
fi;

%postun -n kernel24-smp-sound-alsa
%depmod %{_kernel_ver}smp

%if %{with kernel}
%files -n kernel24-sound-alsa
%defattr(644,root,root,755)
%doc FAQ INSTALL README doc/SOUNDCARDS WARNING alsa-kernel/Documentation/{*.txt,*.html}
%doc %attr(744,root,root) snddevices
/lib/modules/%{_kernel_ver}/misc/*
%{?with_pcmcia:%exclude /lib/modules/%{_kernel_ver}/misc/snd-pdaudiocf.o*}
%{?with_pcmcia:%exclude /lib/modules/%{_kernel_ver}/misc/snd-vxpocket.o*}

%if %{with smp}
%files -n kernel24-smp-sound-alsa
%defattr(644,root,root,755)
%doc FAQ INSTALL README doc/SOUNDCARDS WARNING alsa-kernel/Documentation
%doc %attr(744,root,root) snddevices
/lib/modules/%{_kernel_ver}smp/misc/*
%{?with_pcmcia:%exclude /lib/modules/%{_kernel_ver}smp/misc/snd-pdaudiocf.o*}
%{?with_pcmcia:%exclude /lib/modules/%{_kernel_ver}smp/misc/snd-vxpocket.o*}
%endif

%if %{with pcmcia}
%files -n kernel24-sound-alsa-pcmcia
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/snd-pdaudiocf.o*
/lib/modules/%{_kernel_ver}/misc/snd-vxpocket.o*

%if %{with smp}
%files -n kernel24-smp-sound-alsa-pcmcia
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/snd-pdaudiocf.o*
/lib/modules/%{_kernel_ver}smp/misc/snd-vxpocket.o*
%endif
%endif
%endif

%if %{with userspace}
%files devel
%defattr(644,root,root,755)
%{_includedir}/sound
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-driver.spec,v $
Revision 1.188  2007/10/10 17:13:09  hawk
- added compilation fix for machines where CONFIG_PM is undefined
- release 2

Revision 1.187  2007/10/10 15:32:26  hawk
- merged ppc build fix from old AC-branch
- disabled bluezsco (doesn't build, API changes?), if you want it, fix it

Revision 1.186  2007/06/12 05:26:21  qboosh
- updated to 1.0.14
- updated make,processor,bluezsco patches

Revision 1.185  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.184  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.183  2006/11/05 19:13:58  glen
- rel 2

Revision 1.182  2006/10/26 12:41:44  glen
- devfs compilation failure fix patches taken from #2514

Revision 1.181  2006/10/22 21:50:43  glen
- add todo

Revision 1.180  2006/10/04 20:40:08  qboosh
- updated to 1.0.13

Revision 1.179  2006/08/26 12:57:08  qboosh
- asihpi is built on x86 only now

Revision 1.178  2006/08/26 11:56:50  qboosh
- updated to 1.0.12, updated bluezsco,make patches
- removed outdated ppc patch

Revision 1.177  2006/06/18 21:49:48  hawk
- fixed Requires for kernel24(-smp)-sound-alsa-pcmcia
- release 3

Revision 1.176  2006/06/11 13:31:11  hawk
- snd_asihpi is broken on ppc and alpha, disabled

Revision 1.175  2006/04/21 23:54:29  qboosh
- reverted breakage
- updated to 1.0.11, updated processor,bluezsco,noebus patches, added gcc4 patch

Revision 1.174  2006/04/20 13:18:39  paszczus
- too fast, reverted

Revision 1.172  2005/12/29 16:56:50  qboosh
- added hack for gcc 3.3 on alpha (-fno-schedule-insns)

Revision 1.171  2005/12/29 06:35:14  qboosh
- added noebus patch (EBUS support needs ebus.h from Linux 2.6.x)
- sparc64 needs --undeclared-regs passed to as

Revision 1.170  2005/12/28 22:14:06  qboosh
- added hpimod patch

Revision 1.169  2005/12/28 21:19:41  qboosh
- updated pcmcia drivers list

Revision 1.168  2005/11/19 15:31:20  qboosh
- updated to 1.0.10
- updated processor,bluezsco patches, removed obsolete linux24,nopci patches

Revision 1.167  2005/10/16 21:39:31  arekm
- set debug to none (by Jan Palus)

Revision 1.166  2005/09/20 12:57:59  hawk
- updated to 1.0.9b
- removed deprecated --with-smp, fixed building smp modules

Revision 1.165  2005/09/06 21:48:56  arekm
- rel 3

Revision 1.164  2005/08/01 18:17:19  qboosh
- added ppc patch, disable snd_powermac module (no longer supports Linux 2.4)
- rel 2

Revision 1.163  2005/07/31 00:31:42  qboosh
- added nopci patch (fixes build without CONFIG_PCI, e.g. on sparc)

Revision 1.162  2005/07/29 22:41:32  qboosh
- added linux24 patch (fixes unresolved symbols in snd.o)
- moved the rest of pcmcia modules to -pcmcia

Revision 1.161  2005/06/05 10:58:33  qboosh
- updated to 1.0.9a, fix patch obsolete

Revision 1.160  2005/06/05 09:57:05  ankry
- no capitals

Revision 1.159  2005/06/05 09:09:57  qboosh
- updated to 1.0.9, updated bluezsco patch, added fix patch

Revision 1.158  2005/06/04 21:51:59  kolodko
- rm alsa-driver24 from Provides
- rel 7 STBR Ac

Revision 1.157  2005/05/29 08:28:47  bszx
- fixed building without dist_kernel

Revision 1.156  2005/05/27 12:34:56  kolodko
- change alsa-driver to alsa-driver24 in Provides in kernel24-sound-alsa
  (rm obsoletes on kernel-*sound-alsa)
- rel 6 STBR Ac

Revision 1.155  2005/05/21 23:13:12  averne
- rel 5

Revision 1.154  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.153  2005/04/04 19:23:24  qboosh
- SMP hack fix, release 4

Revision 1.152  2005/03/18 17:46:12  qboosh
- comment for with_pcmcia undefine

Revision 1.151  2005/03/18 14:04:33  havner
- turn off pcmcia on ppc

Revision 1.150  2005/03/18 10:36:48  havner
- rel 2

Revision 1.149  2005/02/11 16:50:29  marcus
- proper kernel 2.4 BRs

Revision 1.148  2005/01/14 01:26:01  charles
- updated to 1.0.8
- deleted -fix.patch (patches in sources)

Revision 1.147  2004/11/22 00:02:08  qboosh
- removed noisa_on_alpha patch, added alpha patch instead; now vxpocket builds

Revision 1.146  2004/11/21 19:51:38  qboosh
- added fix patch (for outdated pcmcia patches in sources)

Revision 1.145  2004/11/21 14:21:53  qboosh
- cleanup

Revision 1.144  2004/11/21 14:16:49  qboosh
- updated to 1.0.7, removed obsolete sh patch
- one more try to update bluezsco patch

Revision 1.143  2004/11/21 10:13:13  havner
- no obsoletes (can coexist with 2.6 kernel)

Revision 1.142  2004/11/21 10:05:04  havner
- bluez patch disabled for now (until somobody fixes it)
- rel 2

Revision 1.141  2004/11/04 13:31:51  paladine
- spaces->tabs
- cosmetics

Revision 1.140  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.139  2004/09/19 16:02:51  havner
- excludearch amd64

Revision 1.138  2004/08/31 19:17:18  qboosh
- updated to 1.0.6a, updated processor,bluezsco patches, added sh patch
- dropped linux-2.2 patch and linux22 bcond
- updated spec for Ac: build kernel24 modules and no userspace by default

Revision 1.137  2004/05/30 16:22:00  qboosh
- updated to 1.0.5, updated bluezsco patch

Revision 1.136  2004/04/16 18:19:36  bszx
- updated to 1.0.4, updated bluezsco patch

Revision 1.135  2004/02/29 23:28:38  qboosh
- updated to 1.0.3, updated bluezsco patch

Revision 1.134  2004/02/14 18:58:41  bszx
- updated to 1.0.2c, bluezsco.patch too

Revision 1.133  2004/01/27 12:57:28  qboosh
- updated to 1.0.2, updated bluezsco patch

Revision 1.132  2004/01/09 18:47:32  adgor
- 1.0.1

Revision 1.131  2004/01/07 15:27:43  adgor
- Why no pnp support?!

Revision 1.130  2003/12/07 17:14:59  bszx
- updated to 1.0.0rc2

Revision 1.129  2003/11/20 20:29:19  qboosh
- updated md5

Revision 1.128  2003/11/20 19:47:45  qboosh
- updated to 1.0.0pre1

Revision 1.127  2003/11/10 17:02:00  qboosh
- fixed _without_pcmcia; pcmcia builds on ppc, so left enabled; rel 3

Revision 1.126  2003/11/10 12:04:36  qboosh
- disable OSS emulation on sparc(32)
- new-style bconds
- bconds to build only kernel or userspace packages
- rel 2

Revision 1.125  2003/10/24 16:55:55  qboosh
- 0.9.8, kernel-headers < 2.5 needed

Revision 1.124  2003/10/19 19:22:54  undefine
- why not sparc?

Revision 1.123  2003/10/14 11:10:58  adasi
 - up to 0.9.7c

Revision 1.122  2003/10/11 11:15:58  adasi
 - relup

Revision 1.121  2003/10/11 10:29:39  adasi
 - added snd-bluez-sco patch (adapted for 0.9.7 from snd-bluez-sco package)

Revision 1.120  2003/10/02 14:18:02  grzegol
- updated to 0.9.7a
- removed outdated awk_path patch (already in sources)

Revision 1.119  2003/09/27 04:57:15  witekfl
- added processor.patch
- Release 3

Revision 1.118  2003/09/23 06:46:11  jajcus
- include kernel driver documentation

Revision 1.117  2003/09/01 15:04:14  wiget
- don't compile ISA cards drivers on alpha
- release 2

Revision 1.116  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.115  2003/08/06 16:07:46  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.114  2003/07/30 22:55:45  grzegol
- updated to 0.9.6

Revision 1.113  2003/07/14 16:21:28  qboosh
- note that pcmcia module requires pcmcia enabled in <linux/autoconf.h>

Revision 1.112  2003/07/10 12:19:50  trojan
- added BR: rpmbuild(macros) >= 1.118

Revision 1.111  2003/07/09 07:25:55  trojan
- updated to 0.9.5
- removed outdated patches

Revision 1.110  2003/07/02 12:21:24  cieciwa
- removed BR: rpm-build >= 4.3 - this isn't needed.

Revision 1.109  2003/07/01 08:15:17  trojan
- typo

Revision 1.108  2003/07/01 08:14:09  trojan
- added using %%depmod macro

Revision 1.107  2003/06/28 00:15:35  qboosh
- reverted - one, conditional BR: kernel-headers is enough

Revision 1.106  2003/06/25 11:00:14  yoshi
- BuildRequires: kernel-headers

Revision 1.105  2003/06/20 01:43:22  wrobell
- added bash patch

Revision 1.104  2003/06/02 09:21:40  trojan
- readded no_gcc_checking_patch (neede for gcc 3.3)
- there is still bashizm in Rules.make

Revision 1.103  2003/06/02 09:02:48  trojan
- starting update to 0.9.2
- removed outdated patch
- NFY
TODO: need to remove bashizm like ${aaa:0:3} from configure.in and
Rules.make, I have no idea how solve this

Revision 1.102  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.101  2003/05/25 05:45:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.100  2003/05/21 08:55:17  trojan
- updated to 0.9.3c

Revision 1.99  2003/05/20 09:27:22  trojan
- updated to 0.9.3b
- added patch (no_check_gcc, iface_no)
- fixed regenerating ac

Revision 1.98  2003/05/15 20:54:05  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.97  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.96  2003/05/12 23:06:49  migo
- reverted two accidental changes in previous commit...

Revision 1.95  2003/05/12 18:48:42  migo
- added awk_path patch

Revision 1.94  2003/05/11 15:16:21  misiek
BR: mawk

Revision 1.93  2003/05/10 14:47:31  wiget
- allow building only selected drivers (--define 'cards foo,bar,baz')

Revision 1.92  2003/05/05 09:02:14  trojan
- updated to 0.9.3a: minor enhancements

Revision 1.91  2003/04/11 10:01:37  qboosh
- standardized kernel modules perms (644,root,root)

Revision 1.90  2003/04/07 13:09:33  qboosh
- always use flat dir for modules, some _without_pcmcia fixes
  (now should build correctly even if kernel is not installed in chroot)

Revision 1.89  2003/03/20 10:40:22  trojan
- updated to 0.9.2
- added hack for proper compiling without dist_kernel and without pcmcia

Revision 1.88  2003/03/14 18:44:28  djurban
- fixed %%exclude

Revision 1.87  2003/03/12 10:24:01  misiek
- no pcmcia on ppc

Revision 1.86  2003/03/12 08:34:01  trojan
- updated to 0.9.1

Revision 1.85  2003/03/11 08:15:18  trojan
- updated to 0.9.0rc8d

Revision 1.84  2003/03/06 08:30:45  trojan
- updated to 0.9.0rc8b

Revision 1.83  2003/03/04 08:19:29  trojan
- updated to 0.9.0rc8a

Revision 1.82  2003/03/03 06:10:07  aflinta
- updated to version 0.9.0rc8

Revision 1.81  2003/01/29 13:55:39  trojan
- updated to 0.9.0rc7

Revision 1.80  2003/01/14 13:12:09  trojan
- removed %%define no_install_post_compress

Revision 1.79  2003/01/13 07:43:02  trojan
- added bcond _without_pcmcia
- added %%define no_install_post_compress when building without dist
  kernel

Revision 1.78  2002/12/10 17:13:37  aflinta
- %%if conditions can't be included, fixed

Revision 1.77  2002/12/04 11:43:13  qboosh
- typo/cleanups/cosmetics

Revision 1.76  2002/11/27 18:27:37  juandon
- new %%doc

Revision 1.75  2002/11/27 13:30:02  matkor
- Removed not existing/generated docs. Now builds on Ra. Pls check that change.

Revision 1.74  2002/11/25 15:01:42  marcus
- use new %%doc

Revision 1.73  2002/11/19 10:37:38  pascalek
- linux22 patch updated

Revision 1.72  2002/11/18 22:41:37  aflinta
- split pcmcia drivers into separate package
- linux22 bcond still not working, needs updata

Revision 1.71  2002/11/18 22:02:09  aflinta
- updated to version 0.9rc6

Revision 1.70  2002/11/17 17:42:28  pascalek
- Release 3
- updated make.patch
- STBR (also with linux22 bcond)

Revision 1.69  2002/11/12 16:16:39  migo
- one '}' too much - now it builds

Revision 1.68  2002/11/10 11:57:47  aflinta
- added bcond _without_smp which makes UP life easier :))

Revision 1.67  2002/11/08 18:51:05  aflinta
- added oss.patch which fixes lockups occured on some machines
- release 2

Revision 1.66  2002/10/26 14:54:52  wrobell
- ver. 0.9.0rc5

Revision 1.65  2002/10/23 00:33:21  aflinta
- cleanups

Revision 1.64  2002/10/23 00:27:44  aflinta
- merged from DEVEL
- updated to version 0.9.0rc4

Revision 1.51.2.11  2002/09/30 05:55:51  pascalek
- linux2.2 patch added

Revision 1.51.2.10  2002/09/17 16:31:22  wrobell
- build with default compiler
- rel. 2

Revision 1.51.2.9  2002/09/03 14:49:42  qboosh
- BR: automake

Revision 1.51.2.8  2002/08/28 21:50:29  aflinta
- updated to version 0.9.0rc3

Revision 1.51.2.7  2002/06/22 12:34:21  aflinta
- updated to version 0.9rc2

Revision 1.51.2.6  2002/05/07 21:02:19  mmazur
- whoops... back to %{kgcc} :)

Revision 1.51.2.5  2002/05/07 20:55:01  mmazur
- switched kgcc to gcc2 and added aclocal (it doesn't do anything but it's
more cool this way :)

Revision 1.51.2.4  2002/04/28 12:58:13  aflinta
- corrected permissions to include files

Revision 1.51.2.3  2002/04/26 21:37:48  aflinta
- updated to version 0.9.0rc1

Revision 1.51.2.2  2002/03/18 21:12:56  misiek
- updated to 0.9.0beta12

Revision 1.53  2002/03/18 20:05:10  misiek
- wrong place

Revision 1.51  2002/03/17 16:06:24  dzimi

- update release numbers to build with new kernel release

Revision 1.50  2002/03/13 16:33:56  mkochano
- Typos.

Revision 1.49  2002/03/04 22:35:34  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.8.

Revision 1.48  2002/03/03 22:36:35  marcus
- build against 2.2.20-12, rel.7

Revision 1.47  2002/02/26 15:37:12  qboosh
- use requires_releq_kernel_{up,smp} macros, release 6

Revision 1.46  2002/02/23 21:43:58  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 5, STBR

Revision 1.45  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/02/20 13:14:57  wiget
typo

Revision 1.43  2002/02/11 01:27:57  kloczek
- adapterized.

Revision 1.42  2002/02/10 18:56:05  marcus
- some cleanups, rel 4. (for rebuild with 2.2.20-10 and new 2.4)

Revision 1.41  2002/02/02 19:54:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.40  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/10 14:16:42  kloczek
- release 3.

Revision 1.38  2002/01/07 23:56:01  alchemyx
- Obsoletes: alsa-driver-up

Revision 1.37  2001/12/22 11:02:46  marcus
- fixed release of SMP package
- s/2.3/2.4/g
- release 2, STBR

Revision 1.36  2001/12/18 20:50:19  kloczek
- start try reorganize spec file for generate in ione pass two subpackages
  with kernel modules (for up and smp) - probably it is finished but need
  testing and maybe need some discuss on pld-devel-*@.

Revision 1.35  2001/12/17 08:39:49  juandon
- commented opt patch
- don't gzip snddevices
- depmod -F /boot/System.map in post

Revision 1.34  2001/12/01 17:51:53  aflinta
- updated to version 0.5.12a

Revision 1.33  2001/11/14 08:37:01  filon
- added _without_dist_kernel option

Revision 1.32  2001/11/06 13:45:31  mkierus
- updated to 0.5.12

Revision 1.31  2001/10/28 14:08:43  arekmat
- added Provides: alsa-driver

Revision 1.30  2001/10/15 14:22:44  qboosh
- added empty base backage to remove junk from .src.rpm name

Revision 1.29  2001/09/20 16:17:11  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.28  2001/08/18 23:32:15  mkochano
- Release 3.
- Use %%configure2_13 --- without this there are unresolved symbols in
  modules.
- Call to depmod moved from %%preun to %%postun.

Revision 1.27  2001/08/15 20:28:27  saq
- using %%_kernelsrcdir
- renamed to alsa-driver, smp option in release now
- conflicts kernel-smp or -up
- release 2
- STB

Revision 1.26  2001/08/09 14:04:32  agaran
added modutils to buildreq

Revision 1.25  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.24  2001/07/25 11:50:53  wiget
2in1 - to build SMP version do 'rpm -bb --with smp'
for RFC only

Revision 1.39  2001/07/24 22:49:10  saq
- removed %%define _kernel_ver -- already in macros.pld (use
SOURCES/rpm.macros if you don't have the package yet)

Revision 1.38  2001/07/24 21:45:56  mkochano
- Definition of macro _kernel_ver moved to top of the file. Macros has
  to be defined before they are used.

Revision 1.37  2001/07/24 17:20:54  bszx
- added patch which fixes broken recording on gus classic

Revision 1.36  2001/07/23 22:22:52  saq
A group commit:
- %%define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.35  2001/05/26 23:16:50  kloczek
- updated to 0.5.11.
